incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Maho NAKATA <m...@apache.org>
Subject Re: Build AOOo on Mac OS X 10.7
Date Fri, 23 Sep 2011 21:14:33 GMT
default installation of Lion on many machines are 64bit.
OOo for MacOSX is intended to be 32bit.
this point is also important notice.
thanks

2011/9/24 Chao Huang <chao.dev.h@gmail.com>:
> Another request to build AOOo on 10.7 is to solve the special issue on Mac 10.7.
>
>
> 2011/9/23 Chao Huang <chao.dev.h@gmail.com>:
>> hi, Nakata
>>
>> The latested Mac machine can not install 10.6 and 10.5. So if I want
>> to debug AOOo on that machine, I have to pass the full build on 10.7
>> firstly.
>>
>> Apple disabled JDK1.5 on 10.6 and cast off gcc-4.0 in Mac 10.7. In my
>> opinion, it's a gradual request to upgrade the build env to gcc-4.2
>> and JDK1.6.
>>
>>
>> 2011/9/23 Maho NAKATA <maho@apache.org>:
>>> Hi Chao Huang, just curious but why do you want to build on OSX 10.7 Lion?
>>> I have been building on Tiger (10.4) but many builds on Leopard.
>>> I think you should better start on older OS.
>>> Thanks
>>>  Nakata Maho
>>>
>>> From: Chao Huang <chao.dev.h@gmail.com>
>>> Subject: Re: Build AOOo on Mac OS X 10.7
>>> Date: Fri, 23 Sep 2011 10:23:17 +0800
>>>
>>>> hi, Michael
>>>>
>>>> Thank you a lot for sharing this kind of helpful information. I will
>>>> have a try and share the result with you.
>>>>
>>>>
>>>> 2011/9/22 Michael Stahl <mst@openoffice.org>:
>>>>> On 22.09.2011 08:49, Chao Huang wrote:
>>>>>> hi, all
>>>>>>
>>>>>> On Mac OS X 10.7, I'm trying to build AOOo in following steps as
I did
>>>>>> on Mac OS 10.6/10.5 :
>>>>>
>>>>>>    4) there will be a break with error message (due to the restriction
>>>>>> of gcc version 4.0 in configure)
>>>>>>            checking for gcc... /usr/bin/gcc
>>>>>>            checking the GNU gcc compiler version... configure:
error:
>>>>>> You need to use the gcc-4.0 compiler (gcc 4.2.1 won't work with the
>>>>>> MacOSX10.4u.sdk) - set CC accordingly
>>>>>>
>>>>>> It seems like that there is only gcc-4.2.1 in Mac OS X 10.7 with
Xcode
>>>>>> 4.1. The "MacOSX10.4u.sdk" is not supported by Mac OS X 10.7. There
>>>>>> are only "MacOSX10.6.sdk" and "MacOSX10.7.sdk" under dir
>>>>>> "/Developer/SDKs".
>>>>>>            $ ls /usr/bin/gcc*
>>>>>>            /usr/bin/gcc               /usr/bin/gcc-4.2
>>>>>
>>>>> it is apparently possible to download and install the OS X 10.4 SDK even
>>>>> on OS X 10.7.
>>>>>
>>>>> http://catacombae.blogspot.com/2011/07/installing-xcode-326-in-mac-os-x-lion.html
>>>>>
>>>>>> I'm going to remove the gcc-4.0 restriction and restart building.
>>>>>
>>>>> there was a discussion some time ago on a different mailing list on this
>>>>> topic; it should give you some ideas about the advantages and
>>>>> disadvantages of doing this:
>>>>>
>>>>> http://thread.gmane.org/gmane.comp.documentfoundation.libreoffice.devel/14099
>>>>>
>>>>>> Is there anyone who built out AOOo successfully on Mac OS X 10.7
>>>>>> (Intel) ? Thanks!
>>>>>
>>>>> haven't heard of anybody doing that.
>>>>>
>>>>> regards,
>>>>>  michael
>>>>>
>>>>>
>>>>
>>>>
>>>>
>>>> --
>>>> Chao Huang
>>>>
>>>
>>
>>
>>
>> --
>> Chao Huang
>>
>
>
>
> --
> Chao Huang
>

Mime
View raw message